Skip to content

Start an asynchronous log search over a date range. Returns a `queryId`; poll with Get Log Query Results until status is Complete.

POST
/logs/query
curl --request POST \
--url https://api.pingram.io/logs/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "dateRangeFilter": [ 1 ], "userFilter": "example", "envIdFilter": [ "example" ], "statusFilter": "example", "channelFilter": [ "email" ], "notificationFilter": [ "example" ] }'

Authorizations

Request Bodyrequired

Media typeapplication/json
object
dateRangeFilter

A tuple of [startTime, endTime] for the date range filter, each representing a unix timestamp.

Array<number>
>= 2 items <= 2 items
userFilter
string
envIdFilter
Array<string>
statusFilter
string
channelFilter
Array<string>
Allowed values: email inapp sms call web_push mobile_push slack
notificationFilter
Array<string>

Responses

200

Successful response

Media typeapplication/json

Response type for POST /logs/query

object
queryId
required
string
Examplegenerated
{
"queryId": "example"
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}